Oracle® Enterprise Pack for Eclipse User's Guide
  Go To Table Of Contents


Oracle Enterprise Pack for Eclipse Installation Guide

This document provides information on installing Oracle Enterprise Pack for Eclipse (OEPE). It contains the following sections:

Installing Your OEPE Application

OEPE is easily installed.

If you are installing Eclipse and OEPE, install using:

If you already have Eclipse installed:

System Requirements

The following system requirements apply for this release:

  • Mac OS Leopard

  • Windows XP, Vista, Windows 7 - 32/64 bit

  • Linux - 32/64bit

  • Java 1.7

  • Recommend 2GB memory for IDE and an additional 2GB if running server locally

For more information about system requirements and components supported by OEPE, see the OEPE page on the Oracle Technology Network (OTN) at

Installing with the Eclipse Installer

You can install Eclipse and OEPE using the Eclipse Installer.

How to install using the Eclipse Installer

From the Oracle Technology Network (OTN) web site at, launch the Eclipse Installer. The installer downloads and opens.

To install using the installer:

  1. On the Eclipse Location page of the installer, enter or browse to the location where you want to install OEPE.

  2. On the Guidance Level of the installer, choose the level of guidance you want. For more information, see "Choosing What to Install."

  3. If you are using Explore Available Versions Based on the Required Capabilities, the next page is the Versions Page. Move the capabilities you want to the Required Capabilities list, then select the Eclipse Version and OEPE version to install.

  4. The Java Location page displays the detected JVM. If necessary, browse to another choose another Java version.

  5. On the Components Page, choose the components that you want installed.

  6. On the Licenses page of the installer, review the licence terms and accept them.

  7. Click Install to download and install the versions of Eclipse and OEPE that you have specified.

Choosing What to Install

The Eclipse Installer provides three levels of guidance to help you choose the Eclipse and OEPE versions, and you should choose the one that best suits your requirements. With each option, you can choose the OEPE components to install.

Install Eclipse version and OEPE version

This is the simplest method of installing Eclipse and OEPE. The most recent version of Eclipse and the appropriate OEPE version are selected.

Choose an OEPE Version Based on an Eclipse Version

This option allows you to choose the Eclipse version you want, and then choose from the available OEPE versions for that Eclipse version.

Explore Available Versions Based on the Required Capabilities

This option allows you specify the capabilities you want. The installer displays the Eclipse and OEPE versions that provide this.

This image is described in the surrounding text

Selecting the Components to Install

Once you have determined which Eclipse version and OEPE version you want, you can choose the specific components to install.

This image is described in the surrounding text

Installing with Eclipse Marketplace

If you already have an installation of Eclipse, you can install OEPE using Eclipse Marketplace.


The Eclipse Marketplace only allows you to install the latest OEPE version for a given Eclipse platform. If you want to install a specific version, install from the release repository.

To install using Eclipse Marketplace:

  1. In Eclipse, choose Help > Eclipse Marketplace.

  2. In the Eclipse Marketplace dialog, search for Oracle. The Marketplace returns all Oracle entries, such as OEPE, and Oracle Cloud Tools. You can choose to install OEPE, which includes all the features, or just the specific components you want.

  3. Choose the appropriate version of OEPE for the version of Eclipse you are using. For example, if you are using Eclipse Luna, choose Oracle Enterprise Pack for Eclipse Luna. Click Install.

  4. On the next page, the features that will be installed are listed. Click Confirm.

  5. On the Review Licenses page, accept the terms of the license agreements and click Finish.

    The software is installed. You can choose to run the installation in the background by clicking Run in Background.

Installing Using the Repository

Use the Install New Software feature from the repository.

To install using the repository:

  1. From the Eclipse main menu, select Help > Install New Software.

  2. Click Add to add a new update site.

  3. In the Add Repository dialog, enter the repository location which you can find on the Oracle Technology Network (OTN) web site at

    Then click OK.

    Note: This URL works only from within Eclipse, and will not work if accessed through a browser.

  4. In the software list, select Oracle Enterprise Pack for Eclipse, select the subcomponents you want, and then click Next.

  5. Confirm information presented on the Install Details, and then click Next.

  6. Review licenses on the Review Licenses page and click Finish.

Installing with the Distro

The distro is a zip archive that contains Eclipse with OEPE already loaded.

To install using the distro:

  1. From the Oracle Technology Network (OTN) web site:, download the archive file appropriate for your operating system and Eclipse version.

  2. Extract the archive file to a folder of your choice.

Updating an Existing Installation

Eclipse allows you to browse for updates and install them, or to uninstall features that are already installed. You control this functionality from the Install/Update page of the Preferences dialog (available from the Window menu).

How to Update Using Check for Updates Option

You can use the Update wizard to download new components.

Updating OEPE Using Check for Updates:

  1. In Eclipse, choose Help > Check for Updates. This launches an Update wizard.

  2. In the wizard, select the appropriate options.

  3. Agree to any licences, and start the download.

Troubleshooting Update

An OEPE update can fail if conflicting versions of plugins are found on non-Oracle sites. If update fails, de-select all non-Oracle repositories and try again.

To select the appropriate site:

  1. Select Window > Preferences, then expand the category Install/Update.

  2. Select Available Software Sites.

  3. In the list of Available Software Sites, select just the appropriate Oracle repository, then click OK.

Now try using update again.